Bug 71265 - CIPE-related traceback on startup
Summary: CIPE-related traceback on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: limbo
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-11 16:22 UTC by Scott Schmit
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 13:48:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's my options file. (125 bytes, text/plain)
2002-08-14 23:08 UTC, Scott Schmit
no flags Details

Description Scott Schmit 2002-08-11 16:22:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
Using redhat-config-network version 1.1.14-1 (though this also occurs in the
original 1.1.12-1 version as well) from rawhide.
When I attempt to start redhat-config-network, all goes well through:
Copying ifcfg-eth0 to devices and putting it into the default profile.
Copying ifcfg-cipcb0 to devices and putting it into the default profile.
Copying ifcfg-cipcb1 to devices and putting it into the default profile.
Copying /etc/hosts to default profile.
Copying /etc/resolv.conf to default profile.

and then it gives the following traceback:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 1487, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 237, in __init__
    self.load()
  File "/usr/sbin/neat", line 273, in load
    self.loadDevices()
  File "/usr/sbin/neat", line 278, in loadDevices
    devicelist = getDeviceList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 186, in getDeviceList
    DVList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 65, in load
    self.data[i].load(dev)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
257, in load
    cipe.load(conf)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line
122, in load
    conf = ConfCipeOptions(parent.DeviceId)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 36,
in __init__
    Conf.Conf.__init__(self, fname, '#', '\t ', ' ')
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 178, in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 41,
in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 49,
in initvars
    self.vars[var[0]] = var[1]
IndexError: list index out of range


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-network

Actual Results:  I get a traceback.

Expected Results:  redhat-config-network lets me configure my network.

Additional info:

I used to use CIPE, the cipe package is no longer installed, but the ifcfg files
are still there.
If I reinstall cipe, then I still get the crash.

Comment 1 Trond Eivind Glomsrxd 2002-08-12 16:51:33 UTC
Can you try the current redhat-config-network from Rawhide?

Comment 2 Scott Schmit 2002-08-13 22:21:25 UTC
1.1.14-1 *is* the current version of redhat-config-network in Rawhide.

Comment 3 Harald Hoyer 2002-08-14 11:31:14 UTC
could you please attach any /etc/cipe/options* file?

Comment 4 Scott Schmit 2002-08-14 23:08:05 UTC
Created attachment 70704 [details]
Here's my options file.

Comment 5 Scott Schmit 2002-08-14 23:17:18 UTC
The options file is attached, but perhaps this output will be more helpful (I
just now realized this, sorry):
$ ls -l /etc/cipe/options.*
-rw-------    1 root     root          125 Jan 15  2002 /etc/cipe/options.cipcb0
$ ls -l /etc/sysconfig/network-scripts/ifcfg-cipcb*
-rw-r--r--    1 root     root          115 Jul 20 13:16
/etc/sysconfig/network-scripts/ifcfg-cipcb0
-rw-r--r--    1 root     root          113 Aug 29  2001
/etc/sysconfig/network-scripts/ifcfg-cipcb1


Comment 6 Harald Hoyer 2002-08-19 13:48:00 UTC
ok, fixed in CVS... thx

Comment 7 Jay Turner 2002-08-20 16:58:49 UTC
I'm not seeing this failure with redhat-config-network-1.1.16-1.


Note You need to log in before you can comment on or make changes to this bug.